#!/usr/bin/env bash
# LEGAL: COPYRIGHT (C) 2010 JIM E. BROOKS WWW.PALOMINO3D.ORG
# Find GNU make.
# Use "type -pf" instead of "which" which is broken/missing on some systems.

if ( type -pf gmake >/dev/null 2>&1 ); then
    echo "gmake"
    exit 0
elif ( type -pf gnumake >/dev/null 2>&1 ); then
    echo "gnumake"
    exit 0
else
    echo "make"
    exit 0
fi
